1. Order
Aurpay API
  • Aurpay Crypto Payment Integration
  • API-Key Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Orders
      • Get Orders Details
      • Get Orders Refund Info
      • Orders Refund
      • Get Transaction
      • Get Support Crypto Currency List
      • Get Support Real Currency List
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
    • Get API-Key
      POST
  • Signature Authentication Method
    • Order
      • Get Payment URL
        POST
      • Get Payment Info
        POST
      • Get Support Real Currency List
        GET
      • Get Support Crypto Currency List
        GET
      • Get Orders
        GET
      • Get Orders Details
        GET
      • Get Transaction
        GET
      • Get Orders Refund Info
        GET
      • Orders Refund
        POST
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
  • Callbakc Description
    • Callback Authentication Method
  1. Order

Get Orders

GET
/api/v2/order/

Get Order List#

This endpoint makes an HTTP GET request to retrieve a list of orders.

Request Body#

This request does not contain a request body.

Response Body#

The response will be in JSON format with the following structure:
code (number): Represents the status code of the response.
message (string): Provides additional information or error message if applicable.
data (object): Contains the details of the order list, including pagination information and an array of orders.
page (number): The current page number.
size (number): The number of orders per page.
total (number): The total number of orders.
max_page (number): The maximum page number.
data (array): An array of order objects, each containing the following properties:
user_id (string): The user ID associated with the order.
order_id (string): The ID of the order.
order_type (string): The type of the order.
platform (string): The platform related to the order.
status (string): The status of the order, which can be one of the following: PENDING, OVERDUE, SUCCESS, RESOLVED, PARTIAL, TERMINATED, REFUNDED.
chain (string): The blockchain chain associated with the order.
chain_name (string): The name of the blockchain chain.
currency (string): The currency used in the order.
amount (string): The amount of the order.
vs_price (string): The price relative to a specific currency.
vs_currency (string): The specific currency used for comparison.
remark (string): Any additional remarks related to the order.
refund (boolean): Indicates if the order is eligible for a refund.
create_time (string): The timestamp of the order creation.
update_time (string): The timestamp of the order update.
result (boolean): Indicates the result of the request, where true represents a successful response.

Request

Query Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dashboard.aurpay.net/api/v2/order/?page=1&size=10'
Response Response Example
{
    "code": 0,
    "message": "ok",
    "data": {
        "page": 1,
        "size": 10,
        "total": 43,
        "max_page": 5,
        "data": [
            {
                "user_id": "mct-07d283468bf8",
                "order_id": "20240806071926377966",
                "order_type": "INVOICE",
                "platform": "AURPAY",
                "status": "PENDING",
                "chain": "TRX",
                "chain_name": "Tron",
                "currency": "USDC-TRC20",
                "amount": "19.0012",
                "vs_price": "19.0",
                "vs_currency": "USD",
                "remark": "",
                "refund": false,
                "create_time": "2024-08-06T07:19:26",
                "update_time": "2024-08-06T07:19:26"
            },
            {
                "user_id": "mct-07d283468bf8",
                "order_id": "20240613091501215821",
                "order_type": "ORDER",
                "platform": "PAYMENTBUTTON",
                "status": "OVERDUE",
                "chain": "ETH",
                "chain_name": "Ethereum",
                "currency": "USDT-ERC20",
                "amount": "1.0009",
                "vs_price": "1.0",
                "vs_currency": "USD",
                "remark": "",
                "refund": false,
                "create_time": "2024-06-13T09:15:01",
                "update_time": "2024-06-13T09:15:01"
            },
            {
                "user_id": "mct-07d283468bf8",
                "order_id": "20240613084814504314",
                "order_type": "ORDER",
                "platform": "AURPAY",
                "status": "OVERDUE",
                "chain": "ETH",
                "chain_name": "Ethereum",
                "currency": "USDT-ERC20",
                "amount": "18.005",
                "vs_price": "18.0",
                "vs_currency": "USD",
                "remark": "",
                "refund": false,
                "create_time": "2024-06-13T08:48:14",
                "update_time": "2024-06-13T08:48:14"
            },
            {
                "user_id": "mct-07d283468bf8",
                "order_id": "20240613084802621586",
                "order_type": "ORDER",
                "platform": "AURPAY",
                "status": "OVERDUE",
                "chain": "TRX",
                "chain_name": "Tron",
                "currency": "USDT-TRC20",
                "amount": "18.0053",
                "vs_price": "18.0",
                "vs_currency": "USD",
                "remark": "",
                "refund": false,
                "create_time": "2024-06-13T08:48:02",
                "update_time": "2024-06-13T08:48:02"
            },
            {
                "user_id": "mct-07d283468bf8",
                "order_id": "20240613084112011859",
                "order_type": "ORDER",
                "platform": "AURPAY",
                "status": "OVERDUE",
                "chain": "LTC",
                "chain_name": "Litecoin",
                "currency": "LTC",
                "amount": "0.000008",
                "vs_price": "0.0",
                "vs_currency": "USD",
                "remark": "",
                "refund": false,
                "create_time": "2024-06-13T08:41:12",
                "update_time": "2024-06-13T08:41:12"
            },
            {
                "user_id": "mct-07d283468bf8",
                "order_id": "20240613083624559401",
                "order_type": "ORDER",
                "platform": "AURPAY",
                "status": "OVERDUE",
                "chain": "ETH",
                "chain_name": "Ethereum",
                "currency": "ETH",
                "amount": "0.000004",
                "vs_price": "0.0",
                "vs_currency": "USD",
                "remark": "",
                "refund": false,
                "create_time": "2024-06-13T08:36:24",
                "update_time": "2024-06-13T08:36:24"
            },
            {
                "user_id": "mct-07d283468bf8",
                "order_id": "20240613075711753948",
                "order_type": "ORDER",
                "platform": "AURPAY",
                "status": "OVERDUE",
                "chain": "ETH",
                "chain_name": "Ethereum",
                "currency": "USDT-ERC20",
                "amount": "18.0015",
                "vs_price": "18.0",
                "vs_currency": "USD",
                "remark": "",
                "refund": false,
                "create_time": "2024-06-13T07:57:11",
                "update_time": "2024-06-13T07:57:11"
            },
            {
                "user_id": "mct-07d283468bf8",
                "order_id": "20240613075708521768",
                "order_type": "ORDER",
                "platform": "AURPAY",
                "status": "OVERDUE",
                "chain": "ETH",
                "chain_name": "Ethereum",
                "currency": "USDT-ERC20",
                "amount": "18.0013",
                "vs_price": "18.0",
                "vs_currency": "USD",
                "remark": "",
                "refund": false,
                "create_time": "2024-06-13T07:57:08",
                "update_time": "2024-06-13T07:57:08"
            },
            {
                "user_id": "mct-07d283468bf8",
                "order_id": "20240613075705873697",
                "order_type": "ORDER",
                "platform": "AURPAY",
                "status": "OVERDUE",
                "chain": "ETH",
                "chain_name": "Ethereum",
                "currency": "USDT-ERC20",
                "amount": "18.0016",
                "vs_price": "18.0",
                "vs_currency": "USD",
                "remark": "",
                "refund": false,
                "create_time": "2024-06-13T07:57:05",
                "update_time": "2024-06-13T07:57:05"
            },
            {
                "user_id": "mct-07d283468bf8",
                "order_id": "20240613075702518420",
                "order_type": "ORDER",
                "platform": "AURPAY",
                "status": "OVERDUE",
                "chain": "ETH",
                "chain_name": "Ethereum",
                "currency": "USDT-ERC20",
                "amount": "18.002",
                "vs_price": "18.0",
                "vs_currency": "USD",
                "remark": "",
                "refund": false,
                "create_time": "2024-06-13T07:57:02",
                "update_time": "2024-06-13T07:57:02"
            }
        ]
    },
    "result": true
}
Previous
Get Support Crypto Currency List
Next
Get Orders Details
Built with